@echo Check if filter driver is installed
@echo Usage: Check [device name]
@echo Important: default device name is "Lecroy Front Panel Device" 
@echo but might be different for your scope.

@set filename=ZtiLecroyFPanelFix.sys
@set filtername=ZtiLecroyFPanelFix
@set devname=Lecroy Front Panel Device
@if not "%~1"=="" set devname="%~1"
@set driverfile=%windir%\system32\drivers\%filename%
@set filtersvc=HKLM\SYSTEM\CurrentControlSet\Services\%filtername%

@echo.
@echo checking filter driver file...
@if not exist %driverfile% (
  @echo ===== ERROR =====
  @echo %filename% not existing in driver directory
  @echo please copy filter driver file to %windir%\system32\drivers
  @pause
  goto :eof
)
@echo filter driver file %driverfile% OK.

@echo.
@echo checking filter driver service...
reg query %filtersvc% /v ImagePath
@if errorlevel 1 (
  @echo ===== ERROR =====
  @echo filter driver service not registered in CurrentControlSet\Services\%filtername%
  @echo please register with %filtername%-driver.reg
  @pause
  goto :eof
)
@echo filter driver service %filtername% probably installed.
@echo note: this check is not comprehensive, please check settings manually:
reg query %filtersvc% /v ImagePath

@echo.
@echo checking driver stack...
"%~dp0\Filtject.exe" "%devname%" %filtername% -Check
@if errorlevel 1 (
  @echo ===== ERROR =====
  @echo filter driver not in device's driver stack ^(%devname%^)
  @echo please add filter with Filtject -add "%devname%" %filtername%
  @pause
  goto :eof
)
@echo filter driver service %filtername% is installed.

@echo.
@echo ===== Done =====
@echo driver seems to be installed.
@echo please ensure %devname% is correct.
pause