@echo re-install filter driver into driver stack
@echo Usage: FilterDriver-test-add [device name]
@echo important: does not install the binary or create the service object
@echo Important: default device name is "Lecroy Front Panel Device" 
@echo but might be different for your scope.

@set filtername=ZtiLecroyFPanelFix
@set devname=Lecroy Front Panel Device
@if not "%~1"=="" set devname="%~1"

@echo check privilege elevation...
"%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system" >nul 2>&1
if not %errorlevel%==0 (
  @echo ===== ERROR: insufficient rights =====
  @echo please run as administrator
  pause
  goto :eof
)

@echo add filter driver to driver stack
@echo NOTE: "Lecroy Front Panel Device" might not be correct for all devices.
@echo NOTE: driver file must be in place and driver service registered.

%~dp0\Filtject.exe "%devname%" %filtername% -Add
  rem Filtject.exe "%devname%" %filtername% -Clear
  rem Filtject.exe "%devname%" LecAladdinMFResfilter -Add
  rem Filtject.exe "%devname%" %filtername% -Add
%~dp0\Filtject.exe "%devname%" %filtername% -Check

@echo ===== Done =====
@echo stop device and restart it in device manager.
@echo then check if driver is loaded in device manager:
@echo - open device manager, show hidden devices
@echo - locate Data Acquisition Devices, Lecroy Front Panel Device
@echo - check if device is working properly
@echo - device properties > driver > details
@echo - %filtername% has to be in list of drivers.
@echo please ensure %devname% is correct.
pause